<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>morphorobotx: SmarActActuatorAxis Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">morphorobotx
   </div>
   <div id="projectbrief">morphorobotxsharedlibrary</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1.2 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Macros</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classSmarActActuatorAxis-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SmarActActuatorAxis Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="SmarActActuatorAxis_8hpp_source.html">SmarActActuatorAxis.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for SmarActActuatorAxis:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis__inherit__graph.png" border="0" usemap="#SmarActActuatorAxis_inherit__map" alt="Inheritance graph"/></div>
<map name="SmarActActuatorAxis_inherit__map" id="SmarActActuatorAxis_inherit__map">
<area shape="rect" id="node2" href="classActuatorAxis.html" title="{ActuatorAxis\n|# _itsActuatorSystem\l# _stateManager\l# _localID\l# holdMs\l# _name\l# _flip\l|+ ActuatorAxis()\l+ ~ActuatorAxis()\l+ itsActuatorSystem()\l+ GotoAsync()\l+ GotoSync()\l+ GetPositionSync()\l+ SetOption()\l+ LocalID()\l+ Name()\l+ SetName()\l+ SetFlip()\l+ RegisterFields()\l+ UpdateState()\l}" alt="" coords="39,6,188,386"/></map>
</div>
<div class="dynheader">
Collaboration diagram for SmarActActuatorAxis:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis__coll__graph.png" border="0" usemap="#SmarActActuatorAxis_coll__map" alt="Collaboration graph"/></div>
<map name="SmarActActuatorAxis_coll__map" id="SmarActActuatorAxis_coll__map">
<area shape="rect" id="node2" href="classActuatorAxis.html" title="{ActuatorAxis\n|# _localID\l# holdMs\l# _name\l# _flip\l|+ ActuatorAxis()\l+ ~ActuatorAxis()\l+ itsActuatorSystem()\l+ GotoAsync()\l+ GotoSync()\l+ GetPositionSync()\l+ SetOption()\l+ LocalID()\l+ Name()\l+ SetName()\l+ SetFlip()\l+ RegisterFields()\l+ UpdateState()\l}" alt="" coords="267,843,416,1189"/><area shape="rect" id="node19" href="classstd_1_1vector.html" title="{std::vector\&lt; ActuatorAxis * \&gt;\n||}" alt="" coords="245,1429,437,1515"/><area shape="rect" id="node4" href="classStateManager.html" title="{StateManager\n||+ StateManager()\l+ ~StateManager()\l+ state()\l+ logger()\l+ Renew()\l+ RegisterField()\l+ RegisterFieldExc()\l+ indexOfField()\l}" alt="" coords="392,569,533,775"/><area shape="rect" id="node14" href="classDataLogger.html" title="{DataLogger\n|# filename\l# file\l# stream\l# isHeaderPrepared\l|+ DataLogger()\l+ ~DataLogger()\l+ WriteCurrentState()\l+ SetFilename()\l+ valid()\l# PrepareFileHeader()\l}" alt="" coords="475,904,624,1128"/><area shape="rect" id="node6" href="classMeasurementState.html" title="{MeasurementState\n|+ double_nan\l# names\l# units\l|+ operator[]()\l+ MeasurementState()\l+ ~MeasurementState()\l+ GetHeaders()\l+ DumpCurrentValues()\l+ Get()\l+ Update()\l+ Invalidate()\l+ Volatile()\l+ RegisterField()\l+ IndexOfField()\l+ Renew()\l# Update()\l}" alt="" coords="383,173,543,501"/><area shape="rect" id="node8" href="classstd_1_1vector.html" title="{std::vector\&lt; QString \&gt;\n|+ element\l|}" alt="" coords="221,5,373,91"/><area shape="rect" id="node10" href="classstd_1_1vector.html" title="{std::vector\&lt; bool \&gt;\n|+ element\l|}" alt="" coords="397,5,528,91"/><area shape="rect" id="node12" href="classstd_1_1vector.html" title="{std::vector\&lt; double \&gt;\n|+ element\l|}" alt="" coords="552,5,699,91"/><area shape="rect" id="node17" href="classActuatorSystem.html" title="{ActuatorSystem\n|+ nchannels\l# _systemID\l# _localSystemID\l|+ ActuatorSystem()\l+ ~ActuatorSystem()\l+ AddAxis()\l+ SystemID()\l+ LocalSystemID()\l+ GetAxisPointer()\l}" alt="" coords="352,1755,496,1962"/></map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aa28ad0cfdea546bfe989c73f8315ddba"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#aa28ad0cfdea546bfe989c73f8315ddba">SmarActActuatorAxis</a> (<a class="el" href="classActuatorSystem.html">ActuatorSystem</a> *actuatorSystem, <a class="el" href="classStateManager.html">StateManager</a> &amp;stateManager, unsigned int channelType, unsigned int sensorType, unsigned int localID)</td></tr>
<tr class="memitem:a9576e55e7c43e28f1aaa1269d50b72c0"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#a9576e55e7c43e28f1aaa1269d50b72c0">~SmarActActuatorAxis</a> ()</td></tr>
<tr class="memitem:a84bd56d2f617050a126ea78743302591"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#a84bd56d2f617050a126ea78743302591">isSensorMissing</a> ()</td></tr>
<tr class="memitem:a8d890c5c08575507135c8ad6c96ce7df"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#a8d890c5c08575507135c8ad6c96ce7df">GotoAsync</a> (double positionMicrons)</td></tr>
<tr class="memitem:a05973d1934af4f04d075eb33a8d1911e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#a05973d1934af4f04d075eb33a8d1911e">GotoSync</a> (double positionMicrons)</td></tr>
<tr class="memitem:ac32df6ae546589def458798c5feb84da"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#ac32df6ae546589def458798c5feb84da">GetPositionSync</a> (double &amp;positionMicrons)</td></tr>
<tr class="memitem:a22c770623f280b86e101cc5d78a3e0c9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#a22c770623f280b86e101cc5d78a3e0c9">SetOption</a> (<a class="el" href="ActuatorAxis_8hpp.html#aa54708a5c8d0aae983e16b802396532b">AxisOption</a> option, double value)</td></tr>
<tr class="memitem:a4dea2ffa4e4dee139ec935f42188391f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#a4dea2ffa4e4dee139ec935f42188391f">GetStatusSync</a> (unsigned int &amp;status)</td></tr>
<tr class="memitem:a444646ac12c7fe62ea8b89ebfdff1065"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#a444646ac12c7fe62ea8b89ebfdff1065">StopSync</a> ()</td></tr>
<tr class="memitem:a4ad17f758e0827fb831e8e9196f1b57e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#a4ad17f758e0827fb831e8e9196f1b57e">SetHoldMs</a> (unsigned int <a class="el" href="classSmarActActuatorAxis.html#ad54e13d0e12c207bf9a9d678e001a3b6">holdMs</a>)</td></tr>
<tr class="memitem:ac0db3ef6bc441ded27f4afbce6bcb033"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#ac0db3ef6bc441ded27f4afbce6bcb033">SetMarginMicrons</a> (double marginMicrons)</td></tr>
<tr class="memitem:a18bcab4ee2856ef4c1e660511cb25546"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#a18bcab4ee2856ef4c1e660511cb25546">SetClosedLoopMaxFrequency</a> (double frequencyHz)</td></tr>
<tr class="memdesc:a18bcab4ee2856ef4c1e660511cb25546"><td class="mdescLeft">&#160;</td><td class="mdescRight">use larger values to achieve premature stopping for coarse approach  <a href="#a18bcab4ee2856ef4c1e660511cb25546"></a><br/></td></tr>
<tr class="memitem:a9ccdb179792d83464e4706c125488767"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#a9ccdb179792d83464e4706c125488767">SetClosedLoopMoveSpeed</a> (double speedMicronsPerSecond)</td></tr>
<tr class="memitem:ad5cd75d518794f34741e87a56930f9cc"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#ad5cd75d518794f34741e87a56930f9cc">RegisterFields</a> ()</td></tr>
<tr class="memitem:ab1cd474a89ce6b59c8fe9b7ba6891266"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#ab1cd474a89ce6b59c8fe9b7ba6891266">UpdateState</a> ()</td></tr>
<tr class="inherit_header pub_methods_classActuatorAxis"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classActuatorAxis')"><img src="closed.png" alt="-"/>&nbsp;Public Member Functions inherited from <a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td></tr>
<tr class="memitem:a44f10b95649ce1f680513649431f8416 inherit pub_methods_classActuatorAxis"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#a44f10b95649ce1f680513649431f8416">ActuatorAxis</a> (<a class="el" href="classActuatorSystem.html">ActuatorSystem</a> *actuatorSystem, <a class="el" href="classStateManager.html">StateManager</a> &amp;stateManager, unsigned int localID)</td></tr>
<tr class="memitem:ac7b79d4664ceae76696123345da1142e inherit pub_methods_classActuatorAxis"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#ac7b79d4664ceae76696123345da1142e">~ActuatorAxis</a> ()</td></tr>
<tr class="memitem:a8bc7f956edd8d06be18c35b7dc56dcfd inherit pub_methods_classActuatorAxis"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classActuatorSystem.html">ActuatorSystem</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#a8bc7f956edd8d06be18c35b7dc56dcfd">itsActuatorSystem</a> ()</td></tr>
<tr class="memitem:a7dd8846038e9dcbbf62396d862fcc373 inherit pub_methods_classActuatorAxis"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#a7dd8846038e9dcbbf62396d862fcc373">LocalID</a> ()</td></tr>
<tr class="memitem:abc90e3048dfb8b5895e62fab2a790a79 inherit pub_methods_classActuatorAxis"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#abc90e3048dfb8b5895e62fab2a790a79">Name</a> ()</td></tr>
<tr class="memitem:a25534aa53fbcfc4c97aa5bc03988f1d1 inherit pub_methods_classActuatorAxis"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#a25534aa53fbcfc4c97aa5bc03988f1d1">SetName</a> (QString name)</td></tr>
<tr class="memitem:a4393c05ae71e2764aba1b0c94edfad44 inherit pub_methods_classActuatorAxis"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#a4393c05ae71e2764aba1b0c94edfad44">SetFlip</a> (signed int flip)</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:abee08c3ea17bdd4e7ee139dfe7801495"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#abee08c3ea17bdd4e7ee139dfe7801495">_sensorType</a></td></tr>
<tr class="memitem:a8985499bfb226e8eb408d42795a725d8"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#a8985499bfb226e8eb408d42795a725d8">_channelType</a></td></tr>
<tr class="memitem:a064d0c39d2c86f47b98971cd852e21db"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#a064d0c39d2c86f47b98971cd852e21db">_isSensorMissing</a></td></tr>
<tr class="memitem:ad54e13d0e12c207bf9a9d678e001a3b6"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#ad54e13d0e12c207bf9a9d678e001a3b6">holdMs</a></td></tr>
<tr class="memitem:aefaf412450d190aa93f35011622f46b2"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#aefaf412450d190aa93f35011622f46b2">_marginMicrons</a></td></tr>
<tr class="memitem:ad9c507953fe8dbe152b1181752a668b4"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#ad9c507953fe8dbe152b1181752a668b4">_timeoutMs</a></td></tr>
<tr class="memitem:accb0d3f73ca74eae8671d0357befc1a3"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classSmarActActuatorAxis.html#accb0d3f73ca74eae8671d0357befc1a3">_fieldIDPositionMicrons</a></td></tr>
<tr class="inherit_header pro_attribs_classActuatorAxis"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classActuatorAxis')"><img src="closed.png" alt="-"/>&nbsp;Protected Attributes inherited from <a class="el" href="classActuatorAxis.html">ActuatorAxis</a></td></tr>
<tr class="memitem:a6b6efecf3da0f3eeb32a4cd32479d995 inherit pro_attribs_classActuatorAxis"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classActuatorSystem.html">ActuatorSystem</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#a6b6efecf3da0f3eeb32a4cd32479d995">_itsActuatorSystem</a></td></tr>
<tr class="memdesc:a6b6efecf3da0f3eeb32a4cd32479d995 inherit pro_attribs_classActuatorAxis"><td class="mdescLeft">&#160;</td><td class="mdescRight">writes actual values to the state  <a href="#a6b6efecf3da0f3eeb32a4cd32479d995"></a><br/></td></tr>
<tr class="memitem:aff589b293bba5593dd00a11c08c99eeb inherit pro_attribs_classActuatorAxis"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classStateManager.html">StateManager</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#aff589b293bba5593dd00a11c08c99eeb">_stateManager</a></td></tr>
<tr class="memitem:a05cfdb4b4d674731c01174526cf732c0 inherit pro_attribs_classActuatorAxis"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#a05cfdb4b4d674731c01174526cf732c0">_localID</a></td></tr>
<tr class="memitem:a21ca9c4ab807f8d2a09ee2f57bbd6b82 inherit pro_attribs_classActuatorAxis"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#a21ca9c4ab807f8d2a09ee2f57bbd6b82">holdMs</a></td></tr>
<tr class="memitem:ade9139dcc1beec6a53850fd2025a4bb6 inherit pro_attribs_classActuatorAxis"><td class="memItemLeft" align="right" valign="top">QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#ade9139dcc1beec6a53850fd2025a4bb6">_name</a></td></tr>
<tr class="memitem:af6dcef5df7963f49ed7adde1326f618c inherit pro_attribs_classActuatorAxis"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classActuatorAxis.html#af6dcef5df7963f49ed7adde1326f618c">_flip</a></td></tr>
</table>
<h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aa28ad0cfdea546bfe989c73f8315ddba"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">SmarActActuatorAxis::SmarActActuatorAxis </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classActuatorSystem.html">ActuatorSystem</a> *&#160;</td>
          <td class="paramname"><em>actuatorSystem</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classStateManager.html">StateManager</a> &amp;&#160;</td>
          <td class="paramname"><em>stateManager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>channelType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>sensorType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>localID</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a9576e55e7c43e28f1aaa1269d50b72c0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SmarActActuatorAxis::~SmarActActuatorAxis </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2>Member Function Documentation</h2>
<a class="anchor" id="ac32df6ae546589def458798c5feb84da"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool SmarActActuatorAxis::GetPositionSync </td>
          <td>(</td>
          <td class="paramtype">double &amp;&#160;</td>
          <td class="paramname"><em>positionMicrons</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classActuatorAxis.html#aafe1cceab42834d85a6a4750fa33af32">ActuatorAxis</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis_ac32df6ae546589def458798c5feb84da_cgraph.png" border="0" usemap="#classSmarActActuatorAxis_ac32df6ae546589def458798c5feb84da_cgraph" alt=""/></div>
<map name="classSmarActActuatorAxis_ac32df6ae546589def458798c5feb84da_cgraph" id="classSmarActActuatorAxis_ac32df6ae546589def458798c5feb84da_cgraph">
<area shape="rect" id="node3" href="classCommand__SA__GetPosition__S.html#a9de943cd258375c9831d22a568b30fd9" title="Command_SA_GetPosition\l_S::Send" alt="" coords="215,5,396,51"/><area shape="rect" id="node7" href="classActuatorAxis.html#a8bc7f956edd8d06be18c35b7dc56dcfd" title="ActuatorAxis::itsActuator\lSystem" alt="" coords="221,74,389,121"/><area shape="rect" id="node9" href="classActuatorAxis.html#a7dd8846038e9dcbbf62396d862fcc373" title="ActuatorAxis::LocalID" alt="" coords="231,144,380,173"/><area shape="rect" id="node11" href="classSmarActCommand.html#a8e91df4e395208ca3081c8d762c25ac1" title="SmarActCommand::Failed" alt="" coords="217,197,393,227"/><area shape="rect" id="node15" href="classSmarActCommand.html#ac9c52396f6c035492beee52a024b6987" title="SmarActCommand::RetryOnce\lAllowed" alt="" coords="204,250,407,297"/><area shape="rect" id="node5" href="classSmarActResult.html#a17a48552c063cd5f0c358247ac8117ec" title="SmarActResult::SetStatus" alt="" coords="457,13,633,43"/><area shape="rect" id="node13" href="classSmarActResult.html#acdb3c04a66542d2b2fe88ae11573604b" title="SmarActResult::Status" alt="" coords="467,197,624,227"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis_ac32df6ae546589def458798c5feb84da_icgraph.png" border="0" usemap="#classSmarActActuatorAxis_ac32df6ae546589def458798c5feb84da_icgraph" alt=""/></div>
<map name="classSmarActActuatorAxis_ac32df6ae546589def458798c5feb84da_icgraph" id="classSmarActActuatorAxis_ac32df6ae546589def458798c5feb84da_icgraph">
<area shape="rect" id="node3" href="classSmarActActuatorAxis.html#a05973d1934af4f04d075eb33a8d1911e" title="SmarActActuatorAxis\l::GotoSync" alt="" coords="204,5,351,51"/><area shape="rect" id="node5" href="classSmarActActuatorAxis.html#ab1cd474a89ce6b59c8fe9b7ba6891266" title="SmarActActuatorAxis\l::UpdateState" alt="" coords="204,74,351,121"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a4dea2ffa4e4dee139ec935f42188391f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool SmarActActuatorAxis::GetStatusSync </td>
          <td>(</td>
          <td class="paramtype">unsigned int &amp;&#160;</td>
          <td class="paramname"><em>status</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis_a4dea2ffa4e4dee139ec935f42188391f_cgraph.png" border="0" usemap="#classSmarActActuatorAxis_a4dea2ffa4e4dee139ec935f42188391f_cgraph" alt=""/></div>
<map name="classSmarActActuatorAxis_a4dea2ffa4e4dee139ec935f42188391f_cgraph" id="classSmarActActuatorAxis_a4dea2ffa4e4dee139ec935f42188391f_cgraph">
<area shape="rect" id="node3" href="classCommand__SA__GetStatus__S.html#aec07e4f192814b18875fc428789ac0ac" title="Command_SA_GetStatus\l_S::Send" alt="" coords="219,5,392,51"/><area shape="rect" id="node7" href="classActuatorAxis.html#a8bc7f956edd8d06be18c35b7dc56dcfd" title="ActuatorAxis::itsActuator\lSystem" alt="" coords="221,74,389,121"/><area shape="rect" id="node9" href="classActuatorAxis.html#a7dd8846038e9dcbbf62396d862fcc373" title="ActuatorAxis::LocalID" alt="" coords="231,144,380,173"/><area shape="rect" id="node11" href="classSmarActCommand.html#a8e91df4e395208ca3081c8d762c25ac1" title="SmarActCommand::Failed" alt="" coords="217,197,393,227"/><area shape="rect" id="node15" href="classSmarActCommand.html#ac9c52396f6c035492beee52a024b6987" title="SmarActCommand::RetryOnce\lAllowed" alt="" coords="204,250,407,297"/><area shape="rect" id="node17" href="classSmarActAxisStatus.html#a910c006a08e20c6f48e0baea8508d872" title="SmarActAxisStatus:\l:SetStatus" alt="" coords="235,319,376,366"/><area shape="rect" id="node5" href="classSmarActResult.html#a17a48552c063cd5f0c358247ac8117ec" title="SmarActResult::SetStatus" alt="" coords="457,13,633,43"/><area shape="rect" id="node13" href="classSmarActResult.html#acdb3c04a66542d2b2fe88ae11573604b" title="SmarActResult::Status" alt="" coords="467,197,624,227"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis_a4dea2ffa4e4dee139ec935f42188391f_icgraph.png" border="0" usemap="#classSmarActActuatorAxis_a4dea2ffa4e4dee139ec935f42188391f_icgraph" alt=""/></div>
<map name="classSmarActActuatorAxis_a4dea2ffa4e4dee139ec935f42188391f_icgraph" id="classSmarActActuatorAxis_a4dea2ffa4e4dee139ec935f42188391f_icgraph">
<area shape="rect" id="node3" href="classSmarActActuatorAxis.html#a05973d1934af4f04d075eb33a8d1911e" title="SmarActActuatorAxis\l::GotoSync" alt="" coords="401,5,548,51"/><area shape="rect" id="node5" href="classSmarActActuatorAxis.html#a444646ac12c7fe62ea8b89ebfdff1065" title="SmarActActuatorAxis\l::StopSync" alt="" coords="204,34,351,81"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a8d890c5c08575507135c8ad6c96ce7df"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool SmarActActuatorAxis::GotoAsync </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>positionMicrons</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classActuatorAxis.html#aca6e394e1b956fb2797356caa2a62b38">ActuatorAxis</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis_a8d890c5c08575507135c8ad6c96ce7df_cgraph.png" border="0" usemap="#classSmarActActuatorAxis_a8d890c5c08575507135c8ad6c96ce7df_cgraph" alt=""/></div>
<map name="classSmarActActuatorAxis_a8d890c5c08575507135c8ad6c96ce7df_cgraph" id="classSmarActActuatorAxis_a8d890c5c08575507135c8ad6c96ce7df_cgraph">
<area shape="rect" id="node3" href="classCommand__SA__GotoPositionAbsolute__S.html#a9489925fe087f958fa1890fc606c3c2a" title="Command_SA_GotoPositionAbsolute\l_S::Send" alt="" coords="203,5,443,51"/><area shape="rect" id="node7" href="classActuatorAxis.html#a8bc7f956edd8d06be18c35b7dc56dcfd" title="ActuatorAxis::itsActuator\lSystem" alt="" coords="239,74,407,121"/><area shape="rect" id="node9" href="classActuatorAxis.html#a7dd8846038e9dcbbf62396d862fcc373" title="ActuatorAxis::LocalID" alt="" coords="248,144,397,173"/><area shape="rect" id="node11" href="classSmarActCommand.html#a8e91df4e395208ca3081c8d762c25ac1" title="SmarActCommand::Failed" alt="" coords="235,197,411,227"/><area shape="rect" id="node15" href="classSmarActCommand.html#ac9c52396f6c035492beee52a024b6987" title="SmarActCommand::RetryOnce\lAllowed" alt="" coords="221,250,424,297"/><area shape="rect" id="node17" href="classSmarActCommand.html#a736733290d8426a79e7d57249fae7dc1" title="SmarActCommand::GetStatus\lDescription" alt="" coords="223,319,423,366"/><area shape="rect" id="node5" href="classSmarActResult.html#a17a48552c063cd5f0c358247ac8117ec" title="SmarActResult::SetStatus" alt="" coords="507,13,683,43"/><area shape="rect" id="node13" href="classSmarActResult.html#acdb3c04a66542d2b2fe88ae11573604b" title="SmarActResult::Status" alt="" coords="516,197,673,227"/><area shape="rect" id="node19" href="classSmarActResult.html#af94a142b9da64545a4b74abfa3efdafc" title="SmarActResult::GetDescription" alt="" coords="492,328,697,357"/><area shape="rect" id="node21" href="classSmarActResult.html#a3e1cedc13518b8e8e8b65ab4ab573326" title="SmarActResult::StatusMap" alt="" coords="748,328,929,357"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis_a8d890c5c08575507135c8ad6c96ce7df_icgraph.png" border="0" usemap="#classSmarActActuatorAxis_a8d890c5c08575507135c8ad6c96ce7df_icgraph" alt=""/></div>
<map name="classSmarActActuatorAxis_a8d890c5c08575507135c8ad6c96ce7df_icgraph" id="classSmarActActuatorAxis_a8d890c5c08575507135c8ad6c96ce7df_icgraph">
<area shape="rect" id="node3" href="classSmarActActuatorAxis.html#a05973d1934af4f04d075eb33a8d1911e" title="SmarActActuatorAxis\l::GotoSync" alt="" coords="204,5,351,51"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a05973d1934af4f04d075eb33a8d1911e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool SmarActActuatorAxis::GotoSync </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>positionMicrons</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classActuatorAxis.html#a3022184603571d9dd94e51377a275317">ActuatorAxis</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis_a05973d1934af4f04d075eb33a8d1911e_cgraph.png" border="0" usemap="#classSmarActActuatorAxis_a05973d1934af4f04d075eb33a8d1911e_cgraph" alt=""/></div>
<map name="classSmarActActuatorAxis_a05973d1934af4f04d075eb33a8d1911e_cgraph" id="classSmarActActuatorAxis_a05973d1934af4f04d075eb33a8d1911e_cgraph">
<area shape="rect" id="node3" href="classSmarActActuatorAxis.html#a8d890c5c08575507135c8ad6c96ce7df" title="SmarActActuatorAxis\l::GotoAsync" alt="" coords="424,150,571,197"/><area shape="rect" id="node25" href="classTimer.html#ae7c0c1e7d12de4b8a6e7c64e451cdd2a" title="Timer::Reset" alt="" coords="448,615,547,644"/><area shape="rect" id="node27" href="classSmarActActuatorAxis.html#a4dea2ffa4e4dee139ec935f42188391f" title="SmarActActuatorAxis\l::GetStatusSync" alt="" coords="424,339,571,386"/><area shape="rect" id="node36" href="classSmarActAxisStatus.html#a910c006a08e20c6f48e0baea8508d872" title="SmarActAxisStatus:\l:SetStatus" alt="" coords="692,578,833,625"/><area shape="rect" id="node39" href="classTimer.html#a90949155d335a3edec5efb209270e285" title="Timer::TimeElapsedMs" alt="" coords="419,719,576,748"/><area shape="rect" id="node43" href="classSmarActActuatorAxis.html#ac32df6ae546589def458798c5feb84da" title="SmarActActuatorAxis\l::GetPositionSync" alt="" coords="424,219,571,266"/><area shape="rect" id="node52" href="classSmarActActuatorAxis.html#a444646ac12c7fe62ea8b89ebfdff1065" title="SmarActActuatorAxis\l::StopSync" alt="" coords="204,450,351,497"/><area shape="rect" id="node5" href="classCommand__SA__GotoPositionAbsolute__S.html#a9489925fe087f958fa1890fc606c3c2a" title="Command_SA_GotoPositionAbsolute\l_S::Send" alt="" coords="643,74,883,121"/><area shape="rect" id="node9" href="classActuatorAxis.html#a8bc7f956edd8d06be18c35b7dc56dcfd" title="ActuatorAxis::itsActuator\lSystem" alt="" coords="679,389,847,435"/><area shape="rect" id="node11" href="classActuatorAxis.html#a7dd8846038e9dcbbf62396d862fcc373" title="ActuatorAxis::LocalID" alt="" coords="688,267,837,296"/><area shape="rect" id="node13" href="classSmarActCommand.html#a8e91df4e395208ca3081c8d762c25ac1" title="SmarActCommand::Failed" alt="" coords="675,144,851,173"/><area shape="rect" id="node17" href="classSmarActCommand.html#ac9c52396f6c035492beee52a024b6987" title="SmarActCommand::RetryOnce\lAllowed" alt="" coords="661,319,864,366"/><area shape="rect" id="node19" href="classSmarActCommand.html#a736733290d8426a79e7d57249fae7dc1" title="SmarActCommand::GetStatus\lDescription" alt="" coords="663,5,863,51"/><area shape="rect" id="node7" href="classSmarActResult.html#a17a48552c063cd5f0c358247ac8117ec" title="SmarActResult::SetStatus" alt="" coords="947,336,1123,365"/><area shape="rect" id="node15" href="classSmarActResult.html#acdb3c04a66542d2b2fe88ae11573604b" title="SmarActResult::Status" alt="" coords="956,144,1113,173"/><area shape="rect" id="node21" href="classSmarActResult.html#af94a142b9da64545a4b74abfa3efdafc" title="SmarActResult::GetDescription" alt="" coords="932,13,1137,43"/><area shape="rect" id="node23" href="classSmarActResult.html#a3e1cedc13518b8e8e8b65ab4ab573326" title="SmarActResult::StatusMap" alt="" coords="1188,13,1369,43"/><area shape="rect" id="node29" href="classCommand__SA__GetStatus__S.html#aec07e4f192814b18875fc428789ac0ac" title="Command_SA_GetStatus\l_S::Send" alt="" coords="676,458,849,505"/><area shape="rect" id="node41" href="classTimer.html#a3a66a53ead9a9ee4f79cd4522df2ba9c" title="Timer::timespecDiffMs" alt="" coords="685,719,840,748"/><area shape="rect" id="node45" href="classCommand__SA__GetPosition__S.html#a9de943cd258375c9831d22a568b30fd9" title="Command_SA_GetPosition\l_S::Send" alt="" coords="672,197,853,243"/><area shape="rect" id="node54" href="classCommand__SA__Stop__S.html#a3ebc2495afa3abdc6665c150e5957139" title="Command_SA_Stop_S::Send" alt="" coords="400,511,595,540"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a84bd56d2f617050a126ea78743302591"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool SmarActActuatorAxis::isSensorMissing </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ad5cd75d518794f34741e87a56930f9cc"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool SmarActActuatorAxis::RegisterFields </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classActuatorAxis.html#a1710903e65c20383d05070a32b16313f">ActuatorAxis</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis_ad5cd75d518794f34741e87a56930f9cc_cgraph.png" border="0" usemap="#classSmarActActuatorAxis_ad5cd75d518794f34741e87a56930f9cc_cgraph" alt=""/></div>
<map name="classSmarActActuatorAxis_ad5cd75d518794f34741e87a56930f9cc_cgraph" id="classSmarActActuatorAxis_ad5cd75d518794f34741e87a56930f9cc_cgraph">
<area shape="rect" id="node3" href="classStateManager.html#a97a286d9ca4faf9cc3d15b3a23a0d7a0" title="TODO: return the key with &#45;1 if error." alt="" coords="204,36,391,65"/><area shape="rect" id="node5" href="classStateManager.html#aabffaf5fc58ab7c74fccde1d84d91603" title="StateManager::state" alt="" coords="465,5,604,35"/><area shape="rect" id="node7" href="classMeasurementState.html#adeb1ea79e7301613ec53b842fb932383" title="MeasurementState::Register\lField" alt="" coords="440,58,629,105"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a18bcab4ee2856ef4c1e660511cb25546"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool SmarActActuatorAxis::SetClosedLoopMaxFrequency </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>frequencyHz</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>use larger values to achieve premature stopping for coarse approach </p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis_a18bcab4ee2856ef4c1e660511cb25546_cgraph.png" border="0" usemap="#classSmarActActuatorAxis_a18bcab4ee2856ef4c1e660511cb25546_cgraph" alt=""/></div>
<map name="classSmarActActuatorAxis_a18bcab4ee2856ef4c1e660511cb25546_cgraph" id="classSmarActActuatorAxis_a18bcab4ee2856ef4c1e660511cb25546_cgraph">
<area shape="rect" id="node3" href="classCommand__SA__SetClosedLoopMaxFrequency__S.html#acba41e0814cda6c408a0c0c58d6afb19" title="Command_SA_SetClosedLoop\lMaxFrequency_S::Send" alt="" coords="260,5,463,51"/><area shape="rect" id="node7" href="classActuatorAxis.html#a8bc7f956edd8d06be18c35b7dc56dcfd" title="ActuatorAxis::itsActuator\lSystem" alt="" coords="277,74,445,121"/><area shape="rect" id="node9" href="classActuatorAxis.html#a7dd8846038e9dcbbf62396d862fcc373" title="ActuatorAxis::LocalID" alt="" coords="287,144,436,173"/><area shape="rect" id="node11" href="classSmarActCommand.html#a8e91df4e395208ca3081c8d762c25ac1" title="SmarActCommand::Failed" alt="" coords="273,197,449,227"/><area shape="rect" id="node15" href="classSmarActCommand.html#ac9c52396f6c035492beee52a024b6987" title="SmarActCommand::RetryOnce\lAllowed" alt="" coords="260,250,463,297"/><area shape="rect" id="node5" href="classSmarActResult.html#a17a48552c063cd5f0c358247ac8117ec" title="SmarActResult::SetStatus" alt="" coords="513,13,689,43"/><area shape="rect" id="node13" href="classSmarActResult.html#acdb3c04a66542d2b2fe88ae11573604b" title="SmarActResult::Status" alt="" coords="523,197,680,227"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis_a18bcab4ee2856ef4c1e660511cb25546_icgraph.png" border="0" usemap="#classSmarActActuatorAxis_a18bcab4ee2856ef4c1e660511cb25546_icgraph" alt=""/></div>
<map name="classSmarActActuatorAxis_a18bcab4ee2856ef4c1e660511cb25546_icgraph" id="classSmarActActuatorAxis_a18bcab4ee2856ef4c1e660511cb25546_icgraph">
<area shape="rect" id="node3" href="classSmarActActuatorAxis.html#a22c770623f280b86e101cc5d78a3e0c9" title="SmarActActuatorAxis\l::SetOption" alt="" coords="260,5,407,51"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a9ccdb179792d83464e4706c125488767"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool SmarActActuatorAxis::SetClosedLoopMoveSpeed </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>speedMicronsPerSecond</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis_a9ccdb179792d83464e4706c125488767_cgraph.png" border="0" usemap="#classSmarActActuatorAxis_a9ccdb179792d83464e4706c125488767_cgraph" alt=""/></div>
<map name="classSmarActActuatorAxis_a9ccdb179792d83464e4706c125488767_cgraph" id="classSmarActActuatorAxis_a9ccdb179792d83464e4706c125488767_cgraph">
<area shape="rect" id="node3" href="classCommand__SA__SetClosedLoopMoveSpeed__S.html#aa055752aabdc913613ca71be7fdceb6a" title="Command_SA_SetClosedLoop\lMoveSpeed_S::Send" alt="" coords="244,5,447,51"/><area shape="rect" id="node7" href="classActuatorAxis.html#a8bc7f956edd8d06be18c35b7dc56dcfd" title="ActuatorAxis::itsActuator\lSystem" alt="" coords="261,74,429,121"/><area shape="rect" id="node9" href="classActuatorAxis.html#a7dd8846038e9dcbbf62396d862fcc373" title="ActuatorAxis::LocalID" alt="" coords="271,144,420,173"/><area shape="rect" id="node11" href="classSmarActCommand.html#a8e91df4e395208ca3081c8d762c25ac1" title="SmarActCommand::Failed" alt="" coords="257,197,433,227"/><area shape="rect" id="node15" href="classSmarActCommand.html#ac9c52396f6c035492beee52a024b6987" title="SmarActCommand::RetryOnce\lAllowed" alt="" coords="244,250,447,297"/><area shape="rect" id="node5" href="classSmarActResult.html#a17a48552c063cd5f0c358247ac8117ec" title="SmarActResult::SetStatus" alt="" coords="497,13,673,43"/><area shape="rect" id="node13" href="classSmarActResult.html#acdb3c04a66542d2b2fe88ae11573604b" title="SmarActResult::Status" alt="" coords="507,197,664,227"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis_a9ccdb179792d83464e4706c125488767_icgraph.png" border="0" usemap="#classSmarActActuatorAxis_a9ccdb179792d83464e4706c125488767_icgraph" alt=""/></div>
<map name="classSmarActActuatorAxis_a9ccdb179792d83464e4706c125488767_icgraph" id="classSmarActActuatorAxis_a9ccdb179792d83464e4706c125488767_icgraph">
<area shape="rect" id="node3" href="classSmarActActuatorAxis.html#a22c770623f280b86e101cc5d78a3e0c9" title="SmarActActuatorAxis\l::SetOption" alt="" coords="244,5,391,51"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a4ad17f758e0827fb831e8e9196f1b57e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SmarActActuatorAxis::SetHoldMs </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>holdMs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis_a4ad17f758e0827fb831e8e9196f1b57e_icgraph.png" border="0" usemap="#classSmarActActuatorAxis_a4ad17f758e0827fb831e8e9196f1b57e_icgraph" alt=""/></div>
<map name="classSmarActActuatorAxis_a4ad17f758e0827fb831e8e9196f1b57e_icgraph" id="classSmarActActuatorAxis_a4ad17f758e0827fb831e8e9196f1b57e_icgraph">
<area shape="rect" id="node3" href="classSmarActActuatorAxis.html#a22c770623f280b86e101cc5d78a3e0c9" title="SmarActActuatorAxis\l::SetOption" alt="" coords="204,5,351,51"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ac0db3ef6bc441ded27f4afbce6bcb033"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void SmarActActuatorAxis::SetMarginMicrons </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>marginMicrons</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis_ac0db3ef6bc441ded27f4afbce6bcb033_icgraph.png" border="0" usemap="#classSmarActActuatorAxis_ac0db3ef6bc441ded27f4afbce6bcb033_icgraph" alt=""/></div>
<map name="classSmarActActuatorAxis_ac0db3ef6bc441ded27f4afbce6bcb033_icgraph" id="classSmarActActuatorAxis_ac0db3ef6bc441ded27f4afbce6bcb033_icgraph">
<area shape="rect" id="node3" href="classSmarActActuatorAxis.html#a22c770623f280b86e101cc5d78a3e0c9" title="SmarActActuatorAxis\l::SetOption" alt="" coords="204,5,351,51"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a22c770623f280b86e101cc5d78a3e0c9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool SmarActActuatorAxis::SetOption </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="ActuatorAxis_8hpp.html#aa54708a5c8d0aae983e16b802396532b">AxisOption</a>&#160;</td>
          <td class="paramname"><em>option</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classActuatorAxis.html#ade40b5431a0f3744b7c1f4c51db183a2">ActuatorAxis</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis_a22c770623f280b86e101cc5d78a3e0c9_cgraph.png" border="0" usemap="#classSmarActActuatorAxis_a22c770623f280b86e101cc5d78a3e0c9_cgraph" alt=""/></div>
<map name="classSmarActActuatorAxis_a22c770623f280b86e101cc5d78a3e0c9_cgraph" id="classSmarActActuatorAxis_a22c770623f280b86e101cc5d78a3e0c9_cgraph">
<area shape="rect" id="node3" href="classSmarActActuatorAxis.html#a4ad17f758e0827fb831e8e9196f1b57e" title="SmarActActuatorAxis\l::SetHoldMs" alt="" coords="232,5,379,51"/><area shape="rect" id="node5" href="classSmarActActuatorAxis.html#ac0db3ef6bc441ded27f4afbce6bcb033" title="SmarActActuatorAxis\l::SetMarginMicrons" alt="" coords="232,74,379,121"/><area shape="rect" id="node7" href="classSmarActActuatorAxis.html#a9ccdb179792d83464e4706c125488767" title="SmarActActuatorAxis\l::SetClosedLoopMoveSpeed" alt="" coords="212,213,399,259"/><area shape="rect" id="node23" href="classSmarActActuatorAxis.html#a18bcab4ee2856ef4c1e660511cb25546" title="use larger values to achieve premature stopping for coarse approach" alt="" coords="203,143,408,190"/><area shape="rect" id="node9" href="classCommand__SA__SetClosedLoopMoveSpeed__S.html#aa055752aabdc913613ca71be7fdceb6a" title="Command_SA_SetClosedLoop\lMoveSpeed_S::Send" alt="" coords="457,347,660,394"/><area shape="rect" id="node13" href="classActuatorAxis.html#a8bc7f956edd8d06be18c35b7dc56dcfd" title="ActuatorAxis::itsActuator\lSystem" alt="" coords="475,278,643,325"/><area shape="rect" id="node15" href="classActuatorAxis.html#a7dd8846038e9dcbbf62396d862fcc373" title="ActuatorAxis::LocalID" alt="" coords="484,156,633,185"/><area shape="rect" id="node17" href="classSmarActCommand.html#a8e91df4e395208ca3081c8d762c25ac1" title="SmarActCommand::Failed" alt="" coords="471,103,647,132"/><area shape="rect" id="node21" href="classSmarActCommand.html#ac9c52396f6c035492beee52a024b6987" title="SmarActCommand::RetryOnce\lAllowed" alt="" coords="457,209,660,255"/><area shape="rect" id="node11" href="classSmarActResult.html#a17a48552c063cd5f0c358247ac8117ec" title="SmarActResult::SetStatus" alt="" coords="711,256,887,285"/><area shape="rect" id="node19" href="classSmarActResult.html#acdb3c04a66542d2b2fe88ae11573604b" title="SmarActResult::Status" alt="" coords="720,103,877,132"/><area shape="rect" id="node25" href="classCommand__SA__SetClosedLoopMaxFrequency__S.html#acba41e0814cda6c408a0c0c58d6afb19" title="Command_SA_SetClosedLoop\lMaxFrequency_S::Send" alt="" coords="457,33,660,79"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a444646ac12c7fe62ea8b89ebfdff1065"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool SmarActActuatorAxis::StopSync </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis_a444646ac12c7fe62ea8b89ebfdff1065_cgraph.png" border="0" usemap="#classSmarActActuatorAxis_a444646ac12c7fe62ea8b89ebfdff1065_cgraph" alt=""/></div>
<map name="classSmarActActuatorAxis_a444646ac12c7fe62ea8b89ebfdff1065_cgraph" id="classSmarActActuatorAxis_a444646ac12c7fe62ea8b89ebfdff1065_cgraph">
<area shape="rect" id="node3" href="classCommand__SA__Stop__S.html#a3ebc2495afa3abdc6665c150e5957139" title="Command_SA_Stop_S::Send" alt="" coords="203,5,397,35"/><area shape="rect" id="node7" href="classActuatorAxis.html#a8bc7f956edd8d06be18c35b7dc56dcfd" title="ActuatorAxis::itsActuator\lSystem" alt="" coords="464,47,632,94"/><area shape="rect" id="node9" href="classActuatorAxis.html#a7dd8846038e9dcbbf62396d862fcc373" title="ActuatorAxis::LocalID" alt="" coords="473,117,623,147"/><area shape="rect" id="node11" href="classSmarActCommand.html#a8e91df4e395208ca3081c8d762c25ac1" title="SmarActCommand::Failed" alt="" coords="460,240,636,269"/><area shape="rect" id="node15" href="classSmarActCommand.html#ac9c52396f6c035492beee52a024b6987" title="SmarActCommand::RetryOnce\lAllowed" alt="" coords="447,293,649,339"/><area shape="rect" id="node17" href="classTimer.html#ae7c0c1e7d12de4b8a6e7c64e451cdd2a" title="Timer::Reset" alt="" coords="251,392,349,421"/><area shape="rect" id="node19" href="classSmarActActuatorAxis.html#a4dea2ffa4e4dee139ec935f42188391f" title="SmarActActuatorAxis\l::GetStatusSync" alt="" coords="227,170,373,217"/><area shape="rect" id="node28" href="classSmarActAxisStatus.html#a910c006a08e20c6f48e0baea8508d872" title="SmarActAxisStatus:\l:SetStatus" alt="" coords="477,362,619,409"/><area shape="rect" id="node31" href="classTimer.html#a90949155d335a3edec5efb209270e285" title="Timer::TimeElapsedMs" alt="" coords="221,445,379,475"/><area shape="rect" id="node5" href="classSmarActResult.html#a17a48552c063cd5f0c358247ac8117ec" title="SmarActResult::SetStatus" alt="" coords="700,88,876,117"/><area shape="rect" id="node13" href="classSmarActResult.html#acdb3c04a66542d2b2fe88ae11573604b" title="SmarActResult::Status" alt="" coords="709,240,867,269"/><area shape="rect" id="node21" href="classCommand__SA__GetStatus__S.html#aec07e4f192814b18875fc428789ac0ac" title="Command_SA_GetStatus\l_S::Send" alt="" coords="461,170,635,217"/><area shape="rect" id="node33" href="classTimer.html#a3a66a53ead9a9ee4f79cd4522df2ba9c" title="Timer::timespecDiffMs" alt="" coords="471,445,625,475"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis_a444646ac12c7fe62ea8b89ebfdff1065_icgraph.png" border="0" usemap="#classSmarActActuatorAxis_a444646ac12c7fe62ea8b89ebfdff1065_icgraph" alt=""/></div>
<map name="classSmarActActuatorAxis_a444646ac12c7fe62ea8b89ebfdff1065_icgraph" id="classSmarActActuatorAxis_a444646ac12c7fe62ea8b89ebfdff1065_icgraph">
<area shape="rect" id="node3" href="classSmarActActuatorAxis.html#a05973d1934af4f04d075eb33a8d1911e" title="SmarActActuatorAxis\l::GotoSync" alt="" coords="204,5,351,51"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ab1cd474a89ce6b59c8fe9b7ba6891266"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool SmarActActuatorAxis::UpdateState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="classActuatorAxis.html#af0d2d584df9a4b7cc7e90bcf8d752f7d">ActuatorAxis</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="classSmarActActuatorAxis_ab1cd474a89ce6b59c8fe9b7ba6891266_cgraph.png" border="0" usemap="#classSmarActActuatorAxis_ab1cd474a89ce6b59c8fe9b7ba6891266_cgraph" alt=""/></div>
<map name="classSmarActActuatorAxis_ab1cd474a89ce6b59c8fe9b7ba6891266_cgraph" id="classSmarActActuatorAxis_ab1cd474a89ce6b59c8fe9b7ba6891266_cgraph">
<area shape="rect" id="node3" href="classSmarActActuatorAxis.html#ac32df6ae546589def458798c5feb84da" title="SmarActActuatorAxis\l::GetPositionSync" alt="" coords="221,135,368,182"/><area shape="rect" id="node19" href="classStateManager.html#aabffaf5fc58ab7c74fccde1d84d91603" title="StateManager::state" alt="" coords="225,205,364,235"/><area shape="rect" id="node21" href="classMeasurementState.html#a82938cc1ca95f67d6c7a9cfe96808e7c" title="MeasurementState::Update" alt="" coords="204,259,385,288"/><area shape="rect" id="node5" href="classCommand__SA__GetPosition__S.html#a9de943cd258375c9831d22a568b30fd9" title="Command_SA_GetPosition\l_S::Send" alt="" coords="447,5,628,51"/><area shape="rect" id="node9" href="classActuatorAxis.html#a8bc7f956edd8d06be18c35b7dc56dcfd" title="ActuatorAxis::itsActuator\lSystem" alt="" coords="453,74,621,121"/><area shape="rect" id="node11" href="classActuatorAxis.html#a7dd8846038e9dcbbf62396d862fcc373" title="ActuatorAxis::LocalID" alt="" coords="463,144,612,173"/><area shape="rect" id="node13" href="classSmarActCommand.html#a8e91df4e395208ca3081c8d762c25ac1" title="SmarActCommand::Failed" alt="" coords="449,197,625,227"/><area shape="rect" id="node17" href="classSmarActCommand.html#ac9c52396f6c035492beee52a024b6987" title="SmarActCommand::RetryOnce\lAllowed" alt="" coords="436,250,639,297"/><area shape="rect" id="node7" href="classSmarActResult.html#a17a48552c063cd5f0c358247ac8117ec" title="SmarActResult::SetStatus" alt="" coords="689,13,865,43"/><area shape="rect" id="node15" href="classSmarActResult.html#acdb3c04a66542d2b2fe88ae11573604b" title="SmarActResult::Status" alt="" coords="699,197,856,227"/></map>
</div>
</p>

</div>
</div>
<h2>Member Data Documentation</h2>
<a class="anchor" id="a8985499bfb226e8eb408d42795a725d8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int SmarActActuatorAxis::_channelType</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="accb0d3f73ca74eae8671d0357befc1a3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int SmarActActuatorAxis::_fieldIDPositionMicrons</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="a064d0c39d2c86f47b98971cd852e21db"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool SmarActActuatorAxis::_isSensorMissing</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="aefaf412450d190aa93f35011622f46b2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double SmarActActuatorAxis::_marginMicrons</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="abee08c3ea17bdd4e7ee139dfe7801495"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int SmarActActuatorAxis::_sensorType</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ad9c507953fe8dbe152b1181752a668b4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double SmarActActuatorAxis::_timeoutMs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a class="anchor" id="ad54e13d0e12c207bf9a9d678e001a3b6"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int SmarActActuatorAxis::holdMs</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="SmarActActuatorAxis_8hpp_source.html">SmarActActuatorAxis.hpp</a></li>
<li><a class="el" href="SmarActActuatorAxis_8cpp.html">SmarActActuatorAxis.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Feb 26 2013 17:54:10 for morphorobotx by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1.2
</small></address>
</body>
</html>
